# Get Monitor

> `GET /monitors/{monitor_id}` · Monitors

Canonical page: https://clawifi.dev/docs/api/get-monitors-monitor-id

`GET https://api.clawifi.dev/monitors/{monitor_id}`

- Send your key as `Authorization: Bearer $CLAWIFI_API_KEY`; see [Authentication](https://clawifi.dev/docs/authentication).
- Credits: see [Pricing and credits](https://clawifi.dev/docs/pricing-and-credits).

## Request

**cURL**

```sh
curl https://api.clawifi.dev/monitors/<monitor_id> \
  -H "Authorization: Bearer $CLAWIFI_API_KEY"
```

**Python**

```python
from clawifi import Clawifi

client = Clawifi()  # reads CLAWIFI_API_KEY
result = client.get("/monitors/<monitor_id>")
```

### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `monitor_id` | path | string | yes |

## Response

200 with a `MonitorResponse` object: `browser_profile`, `change_threshold`, `consecutive_failures`, `content_paths`, `created_at`, `diff_modes`, `exclude_selectors`, `extraction_schema`, `formats`, `include_selectors`, `last_tick_at`, `mode`, `monitor_id`, `name`, ….

Errors use the shared shape; see [Errors](https://clawifi.dev/docs/errors). Try public operations without a key in the [playground](https://clawifi.dev/playground).
